# API Reference

How to create collection

{% content-ref url="collection" %}
[collection](https://pleex.gitbook.io/docs/collection)
{% endcontent-ref %}

How to create schema's

{% content-ref url="schema" %}
[schema](https://pleex.gitbook.io/docs/schema)
{% endcontent-ref %}

How to insert data into collection's

{% content-ref url="insert" %}
[insert](https://pleex.gitbook.io/docs/insert)
{% endcontent-ref %}

How to retrieve all data's of a collection

{% content-ref url="getall" %}
[getall](https://pleex.gitbook.io/docs/getall)
{% endcontent-ref %}

find and get item

{% content-ref url="getitem" %}
[getitem](https://pleex.gitbook.io/docs/getitem)
{% endcontent-ref %}

find and get multiple items

{% content-ref url="getitems" %}
[getitems](https://pleex.gitbook.io/docs/getitems)
{% endcontent-ref %}

find and remove item

{% content-ref url="removeitem" %}
[removeitem](https://pleex.gitbook.io/docs/removeitem)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://pleex.gitbook.io/docs/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
